%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  JAGStree
%global packver   1.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Automatically Write 'JAGS' Code for Hierarchical Bayesian Models on Trees

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.3.0
Requires:         R-core >= 4.3.0
BuildArch:        noarch
BuildRequires:    R-CRAN-data.tree 
BuildRequires:    R-CRAN-gtools 
BuildRequires:    R-CRAN-mcmcplots 
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-R2jags 
BuildRequires:    R-CRAN-tidyverse 
BuildRequires:    R-CRAN-DiagrammeR 
BuildRequires:    R-CRAN-AutoWMM 
Requires:         R-CRAN-data.tree 
Requires:         R-CRAN-gtools 
Requires:         R-CRAN-mcmcplots 
Requires:         R-stats 
Requires:         R-CRAN-R2jags 
Requires:         R-CRAN-tidyverse 
Requires:         R-CRAN-DiagrammeR 
Requires:         R-CRAN-AutoWMM 

%description
When relationships between sources of data can be represented by a tree,
the generation of appropriate Markov Chain Monte Carlo modeling code to be
used with 'JAGS' to run a Bayesian hierarchical model can be automatically
generated by this package. Any admissible tree-structured data can be
used, under the assumption that node counts are multinomial and branching
probabilities are Dirichlet among sibling groups. The methodological basis
used to create this package can be found in Flynn (2023)
<http://hdl.handle.net/2429/86174>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
